###

###

###

###

###

###

###

    SLEEP(3)            Linux Programmer's Manual            SLEEP(3)

    NAME
           sleep - Sleep for the specified number of seconds

    SYNOPSIS
           #include <unistd.h>

           unsigned int sleep(unsigned int seconds);

    DESCRIPTION
           sleep() makes the current process sleep until seconds sec-
           onds have  elapsed  or  a  signal  arrives  which  is  not
           ignored.

    RETURN VALUE
           Zero  if  the requested time has elapsed, or the number of
           seconds left to sleep.

    CONFORMS TO
           POSIX.1

    BUGS
           sleep() may be implemented using SIGALRM; mixing calls  to
           alarm() and sleep() is a bad idea.

           Using  longjmp()  from  a  signal handler or modifying the
           handling of SIGALRM while sleeping  will  cause  undefined
           results.

### SEE ALSO

signal, alarm,

###

    GNU                       April 7, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0